Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#51 Le 06/02/2009, à 11:54

Stemp

Re : Webkit, Midori et Epiphany-webkit

antistress a écrit :

Ah ah ah j'ai pigé :
affiche une page blanche : pas d'onglet réseau
charge une page : voilà l'onglet réseau !

Effectivement ! belle trouvaille, bravo wink

antistress a écrit :

avec la dernière mise à jour du dépôt personnel de Stemp, j'ai l'onglet réseau

Ça par contre c'est peut-être pas une bonne idée car cette nouvelle version de webkit plante en sortant de Youtube et consort (en tout cas avec flash 10 proprio).

Édition : bug report

Dernière modification par Stemp (Le 06/02/2009, à 12:09)


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#52 Le 06/02/2009, à 16:27

antistress

Re : Webkit, Midori et Epiphany-webkit

Stemp a écrit :
antistress a écrit :

Ah ah ah j'ai pigé :
affiche une page blanche : pas d'onglet réseau
charge une page : voilà l'onglet réseau !

Effectivement ! belle trouvaille, bravo wink
Édition : bug report

merci pour le rapport de bug

sinon j'ai demandé la réouverture du bug 249 (User agent may not be good) :

Reason for request: new information. When 1st open Midori, user agent is wrong. Go to network tab, deselect Midori and reselect Midori : the user agent is good now. Therefore it seems that user agent is wrong until you go to change it in the network tab.

Dernière modification par antistress (Le 06/02/2009, à 16:35)


Blogue : Libre et ouvert

Hors ligne

#53 Le 06/02/2009, à 23:27

Stemp

Re : Webkit, Midori et Epiphany-webkit

Oui j'ai vu la demande de réouverture, c'est un autre bug mais c'est un bug quand même tongue

On va y arriver wink

Dernière modification par Stemp (Le 06/02/2009, à 23:28)


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#54 Le 06/02/2009, à 23:41

antistress

Re : Webkit, Midori et Epiphany-webkit

tongue


Blogue : Libre et ouvert

Hors ligne

#55 Le 12/02/2009, à 23:13

Sleeper

Re : Webkit, Midori et Epiphany-webkit

Vivement qu'il grandisse encore ce petit Midori. wink


Intel Core i5 750 : 4Go DDR : HD 2To : ATI HD4850 1Go DDR3 : SyncMaster 226bw
Pourquoi choisir GNU/Linux ? : Les commandes de base
Openbox : sur Ubuntu ou Debian, le tout en un script.

Hors ligne

#56 Le 20/02/2009, à 09:38

frenchy82

Re : Webkit, Midori et Epiphany-webkit

Bonjour,

En compilant la derniere version de dev de midori c'est ok chez moi pour les cookies
(ne pas oublier d'installer libsoup2.4-dev)

Voila le résultat du configure

Optional run time dependencies:
Single instance:     N/A (unique)
Icons, Source, Save: yes (libSoup 2.23.1)
Persistent cookies:  yes (libSoup 2.25.2)
IDN support:         yes (libidn)
Persistent history:  yes (sqlite3)
Maemo integration:   N/A (hildon)

Hors ligne

#57 Le 22/02/2009, à 05:01

antistress

Re : Webkit, Midori et Epiphany-webkit

avec le PPA webkit et Ubuntu 9.04 alpha 4, suite à une clean install, j'ai cet user agent :

Mozilla/5.0 (X11; U; Linux i686; fr-fr) AppleWebKit/528.5+ (KHTML, like Gecko, Safari/528.5+) midori

http://www.useragent.org/
je précise que Firefox est ouvert en même temps je ne sais pas si ça peut jouer

Dernière modification par antistress (Le 22/02/2009, à 05:02)


Blogue : Libre et ouvert

Hors ligne

#58 Le 22/02/2009, à 05:08

antistress

Re : Webkit, Midori et Epiphany-webkit

sinon, quand des sites passent pas du tout, comme www.edf.com, il faut le signaler où ?


Blogue : Libre et ouvert

Hors ligne

#59 Le 24/02/2009, à 02:49

antistress

Re : Webkit, Midori et Epiphany-webkit

bon alors, Stemp, la nouvelle version ?! wink

sinon quelqu'un a essayé pour voir si Gnash marche avec Midori ?


Blogue : Libre et ouvert

Hors ligne

#60 Le 24/02/2009, à 10:59

Stemp

Re : Webkit, Midori et Epiphany-webkit

antistress a écrit :

bon alors, Stemp, la nouvelle version ?! wink

Je suis en train de me battre avec la compilation wink


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#61 Le 24/02/2009, à 11:24

frenchy82

Re : Webkit, Midori et Epiphany-webkit

Bonjour,

Suite à l'annonce de la mise à jour il semble qu'il y est effectivement des problèmes de compilation.

Une nouvelle mise à jour devrait bientot arriver pour corriger ce probleme

http://www.nabble.com/ANN%3A-midori-ver … 52910.html

Hors ligne

#62 Le 24/02/2009, à 14:28

Sleeper

Re : Webkit, Midori et Epiphany-webkit

@ Stemp

Tu devrais peut être modifier le titre du post en "Midori + Webkit" vu que les versions changent tout le temps.

Sinon toi qui a l'air de bien suivre de près Midori, on peut espérer une bonne gestion des cookies pour quand ?

wink


Intel Core i5 750 : 4Go DDR : HD 2To : ATI HD4850 1Go DDR3 : SyncMaster 226bw
Pourquoi choisir GNU/Linux ? : Les commandes de base
Openbox : sur Ubuntu ou Debian, le tout en un script.

Hors ligne

#63 Le 24/02/2009, à 14:49

Hermes le Messager

Re : Webkit, Midori et Epiphany-webkit

Le problème, c'est qu'il veut libsoup > 0.25.2.

Or, dans intrepid, on en est à 0.24.1

D'où le problème avec les cookies.

Moi je répète quand même que lorsque midori sera stable et effectif pour :
- cookies
- https
- adblock (indispensable)

...je serais capable de zapper pour lui.

Mais bon, on en est pas encore là (particulièrement adblock d'ailleurs)

Hors ligne

#64 Le 24/02/2009, à 14:53

Sleeper

Re : Webkit, Midori et Epiphany-webkit

Idem pour moi mais je me contenterai de :

- cookies
- https

Merci pour l'explication.

A+


Intel Core i5 750 : 4Go DDR : HD 2To : ATI HD4850 1Go DDR3 : SyncMaster 226bw
Pourquoi choisir GNU/Linux ? : Les commandes de base
Openbox : sur Ubuntu ou Debian, le tout en un script.

Hors ligne

#65 Le 24/02/2009, à 15:18

frenchy82

Re : Webkit, Midori et Epiphany-webkit

Escusez mon ignorance,

Une bonne gestion des cookies veut dire notamment qu'il mémorise les mots de passe de connection aux sites (par ex)??
Si oui, ben c'est deja le cas depuis quelques jours (cf #56)

Hors ligne

#66 Le 24/02/2009, à 15:25

antistress

Re : Webkit, Midori et Epiphany-webkit

j'attends aussi le classement des marque-pages par tags

dans jaunty on aura la bonne version de libsoup si j'ai bien compris alors
http://packages.ubuntu.com/search?keywords=libsoup&searchon=names&suite=jaunty&section=all
https://lists.ubuntu.com/archives/jaunty-changes/2009-February/004366.html

Comme j'y suis passé ce week end, je testerai le prochain paquet de Stemp pour vous dire si ça marche


Blogue : Libre et ouvert

Hors ligne

#67 Le 24/02/2009, à 15:37

antistress

Re : Webkit, Midori et Epiphany-webkit

apparemment le https est géré avec libgnutls http://www.nabble.com/Unable-to-open-HTTPS-pages-with-libsoup-td21067059.html ?


Blogue : Libre et ouvert

Hors ligne

#68 Le 24/02/2009, à 16:10

Stemp

Re : Webkit, Midori et Epiphany-webkit

@Hermes : dans le PPA Webkit-team libsoup est en version 2.25.4 pour Intrepid, donc pas de soucis avec cookies et https. Pour Adblock j'utilise «Ad blocking via a User style» cf Midori FAQ
@Sleeper : Bonne suggestion
@Frenchy82 : Merci c'est bien le problème


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#69 Le 24/02/2009, à 17:06

antistress

Re : Webkit, Midori et Epiphany-webkit

antistress a écrit :

sinon, quand des sites passent pas du tout, comme www.edf.com, il faut le signaler où ?

et sinon ?


Blogue : Libre et ouvert

Hors ligne

#70 Le 24/02/2009, à 18:33

Stemp

Re : Webkit, Midori et Epiphany-webkit

J'ai réussi à créer les deb pour midori 0.1.3 en utilisant le hack git-core.
Comme ce n'est pas très propre quand même, je les laisse dans mon dépôt perso en attendant la nouvelle version promise par Christian Dywan.
Vous pouvez trouver aussi la nouvelle version de Webkit qui malheureusement plante beaucoup avec les sites flash sad

@antistress : je ne sais pas vraiment pour edf, edf.com ne se charge pas avec firefox et www.edf.com ne se charge pas avec GtkLauncher. C'est donc soit un problème de configuration edf, soit un problème avec Webkit. En tout cas ce n'est pas vraiment la faute de midori wink

Dernière modification par Stemp (Le 24/02/2009, à 18:35)


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#71 Le 24/02/2009, à 19:42

frenchy82

Re : Webkit, Midori et Epiphany-webkit

Comme ce n'est pas très propre quand même, je les laisse dans mon dépôt perso en attendant la nouvelle version promise par Christian Dywan.

Merci Stemp.
En sachant que depuis la sortie de la 0.1.3 (heu hier donc), a été déja implémenté dans la modif des bookmarks la possibilité de le changer de dossier.
A cette vitesse de developpement cela va être difficile de suivre smile

Gestion des cookies et de l'HTTPS, classement des bookmarks dans des dossiers, alignement du panel a gauche ou droite  ... c'est maintenant tout a fait fonctionnel

Reste encore quelques plantages (notamment a la fermeture des onglets mais de maniere tres occasionel)

Hors ligne

#72 Le 25/02/2009, à 02:02

antistress

Re : Webkit, Midori et Epiphany-webkit

j'ai pas de mise à jour à partir de ton personal PPA Stemp


Blogue : Libre et ouvert

Hors ligne

#73 Le 25/02/2009, à 12:20

Stemp

Re : Webkit, Midori et Epiphany-webkit

antistress a écrit :

j'ai pas de mise à jour à partir de ton personal PPA Stemp

Gné ?

Midori 0.1.3 AMD64
Midori 0.1.3 i386
Midori 0.1.3 LPIA


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

#74 Le 26/02/2009, à 01:48

antistress

Re : Webkit, Midori et Epiphany-webkit

Merci Stemp.

bon j'ai le midori 0.1.3 du ppa perso de stemp

- je suis toujours identifié comme libsoup/2.25.91
- l'onglet réseau des préf saute toujours avec une page blanche
+ les cookies semblent marcher vu que je conserve mon ID sur ce forum en redémarrant Midori. Tiens c'est bizarre, si je cherche midori dans la boite de recherche du forum, que je ferme et rouvre Midori, il me restaure même la requête "midori" dans la boite de recherche
- je ne peux pas choisir le repertoire où bookmarker une page
- les bookmarklets marchent toujours pas
- il faut que je charge deux fois le forum pour y accéder (une 1re fois + revalidation de l'url)
+ le gestionnaire de session marche (avant j'avais toujours le 1er onglet qui était remplacé par une page blache)
- plus de boite de recherche ?

Sinon, penser à franciser le moteur de recherche de la barre d'adresse (par ex, au hasard : http://www.google.fr/search?q=%s). Le gestionnaire de téléchargement recommandé est GGet à installer et signaler dans les préférences de Midori. Ah! Si seulement quelqu'un pouvait le packager et le mettre dans son PPA... wink

Sinon il faut toujours lancer Midori avec WEBKIT_IGNORE_SSL_ERRORS="1" midori ?

Dernière modification par antistress (Le 26/02/2009, à 02:15)


Blogue : Libre et ouvert

Hors ligne

#75 Le 26/02/2009, à 12:30

Stemp

Re : Webkit, Midori et Epiphany-webkit

antistress a écrit :

- je suis toujours identifié comme libsoup/2.25.91
- l'onglet réseau des préf saute toujours avec une page blanche
- il faut que je charge deux fois le forum pour y accéder (une 1re fois + revalidation de l'url)
- plus de boite de recherche ?

Sinon, penser à franciser le moteur de recherche de la barre d'adresse (par ex, au hasard : http://www.google.fr/search?q=%s). Le gestionnaire de téléchargement recommandé est GGet à installer et signaler dans les préférences de Midori.

Sinon il faut toujours lancer Midori avec WEBKIT_IGNORE_SSL_ERRORS="1" midori ?

libsoup 2.25.91 ? Tu vois ça ou ?
Pour l'onglet réseau c'est effectivement un bug mais l'auteur ne sait pas comment faire autrement. En plus cela ne met pas automatiquement à jour l'identifiant user-agent.
Pareil je suis obligé de revalider l'url sad
J'ai encore la boite de recherche.

On n'a plus besoin d'utiliser SSL_ERRORS.


«La violence n'a jamais rien réglé» Gengis Khan 1162-1227
Blog | Crunchbang Linux | Arch Linux

Hors ligne

Haut de page ↑